Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib
Interface ITimeSeries<T>

Type Parameters:
  `T` - The type of the series.

All Known Implementing Classes:
  TimeSeries

    public interface ITimeSeries<T>

Since:
  1.10
Author:
  Andre van Hoorn

Field Summary
`static int` | `INFINITE_CAPACITY` infite capacity.

Method Summary
`ITimeSeriesPoint<T>` | `append(T value)` Appends the given value to the time series.
`List<ITimeSeriesPoint<T>>` | `appendAll(T[] values)` Appends the given value to the time series.
`int` | `getCapacity()` Returns the maximum number of elements held in this time series.
`long` | `getDeltaTime()` Returns the temporal distance between to time series values with respect to the configured `TimeUnit` `getDeltaTime()`.
`TimeUnit` | `getDeltaTimeUnit()` The `TimeUnit` used to specify the temporal distance between to values (`getDeltaTime()`).
`long` | `getEndTime()` Returns the time corresponding to the most recent value in the time series.
`int` | `getFrequency()` Returns the frequency of the time series (how many time series points add up to an time unit of interest) needed to improve forecast accuracy e.g.
`List<ITimeSeriesPoint<T>>` | `getPoints()` Returns the `ITimeSeriesPoint`s of this time series.
`long` | `getStartTime()` Returns the start of the time series, i.e., the time of the first value.
`TimeUnit` | `getTimeSeriesTimeUnit()` The `TimeUnit` used to specify the temporal distance between to values (`getStartTime()`).
`List<T>` | `getValues()` Returns a list of all `getPoints()getValues()`.
`int` | `size()` Returns the number of value contained in the time series.

Field Detail

### INFINITE_CAPACITY

    static final int INFINITE_CAPACITY

  infite capacity.

  See Also:
    Constant Field Values

Method Detail

### getStartTime

    long getStartTime()

  Returns the start of the time series, i.e., the time of the first value.

  Since:
    1.10

### getTimeSeriesTimeUnit

    TimeUnit getTimeSeriesTimeUnit()

  The `TimeUnit` used to specify the temporal distance between to values (`getStartTime()`).

  Since:
    1.10

### getDeltaTime

    long getDeltaTime()

  Returns the temporal distance between to time series values with respect to the configured `TimeUnit` `getDeltaTime()`.

  Since:
    1.10

### getDeltaTimeUnit

    TimeUnit getDeltaTimeUnit()

  The `TimeUnit` used to specify the temporal distance between to values (`getDeltaTime()`).

  Since:
    1.10

### append

    ITimeSeriesPoint<T> append(T value)

  Appends the given value to the time series.

  Parameters:
    `value` - the value to append
  Since:
    1.10

### appendAll

    List<ITimeSeriesPoint<T>> appendAll(T[] values)

  Appends the given value to the time series.

  Since:
    1.10

### getPoints

    List<ITimeSeriesPoint<T>> getPoints()

  Returns the `ITimeSeriesPoint`s of this time series.

  Returns:
    Points
  Since:
    1.10

### getValues

    List<T> getValues()

  Returns a list of all `getPoints()getValues()`.

  Since:
    1.10

### getCapacity

    int getCapacity()

  Returns the maximum number of elements held in this time series.

  Returns:
    the capacity; `INFINITE_CAPACITY` if the capacity is infinite
  Since:
    1.10

### size

    int size()

  Returns the number of value contained in the time series.

  Since:
    1.10

### getEndTime

    long getEndTime()

  Returns the time corresponding to the most recent value in the time series.

  Since:
    1.10

### getFrequency

    int getFrequency()

  Returns the frequency of the time series (how many time series points add up to an time unit of interest) needed to improve forecast accuracy e.g. a time series point each 15 minutes, interested in forecasting days: frequency is 96

  Returns:
    frequency as the number of time series points that add up either to the next bigger time unit and/or to the estimated length of seasonal patterns in focus. The value should not be too small (still able to approximate the shape of the seasonal pattern) and not to high (to limit the computational effort of complex forecast strategies)
  Since:
    1.10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net